## gate.util
Class GateSaxException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--gate.util.GateSaxException

All Implemented Interfaces:
  Serializable

public class GateSaxException
extends org.xml.sax.SAXException

An inherited class from SAX exception in the GATE packages. Can be used to catch any internal exception thrown by the GATE SAX libraries.

See Also:
  Serialized Form

Constructor Summary
`GateSaxException(Exception anException)`
`GateSaxException(String aMessage)`
`GateSaxException(String aMessage, Exception anException)`

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GateSaxException

    public GateSaxException(String aMessage,
                            Exception anException)

### GateSaxException

    public GateSaxException(String aMessage)

### GateSaxException

    public GateSaxException(Exception anException)